Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jChatBox.Chat
Class User

    java.lang.Object
      |
      +--jChatBox.Chat.User

Direct Known Subclasses:
  ChatroomUser

public class User
extends java.lang.Object

This class implements User features for jChatBox.

Field Summary
`static int` | `MODERATOR`
`static int` | `NORMAL`
`static int` | `SYSTEM`

Constructor Summary
`User()`
`User(java.lang.String name, java.lang.String IP, int type)` Contructs User from name, IP and type.
`User(java.lang.String name, java.lang.String IP, int type, UserParams extra)` Contructs User intance from name, IP, type and extra feature.

Method Summary
`java.lang.String` | `getIP()` Returns user's IP.
`java.lang.String` | `getName()` Returns user's name.
`UserParams` | `getParams()` Returns user's extra fields.
`int` | `getType()` Returns user's type.
`void` | `setName(java.lang.String name)` Set user's name.
`void` | `setParams(UserParams up)` Updates user's extra fields.
`void` | `setType(int type)` Sets user's type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORMAL

    public static final int NORMAL

See Also:
  Constant Field Values

### MODERATOR

    public static final int MODERATOR

See Also:
  Constant Field Values

### SYSTEM

    public static final int SYSTEM

See Also:
  Constant Field Values

Constructor Detail

### User

    public User()

### User

    public User(java.lang.String name,
                java.lang.String IP,
                int type,
                UserParams extra)

  Contructs User intance from name, IP, type and extra feature.

Parameters:
  `name` -
  `IP` -
  `type` -
  `extra` -

### User

    public User(java.lang.String name,
                java.lang.String IP,
                int type)

  Contructs User from name, IP and type.

Method Detail

### getName

    public java.lang.String getName()

  Returns user's name.

### setName

    public void setName(java.lang.String name)

  Set user's name.

  Parameters:
    `name` -
  Since:
    2.6

### getParams

    public UserParams getParams()

  Returns user's extra fields.

### setParams

    public void setParams(UserParams up)

  Updates user's extra fields.

### getType

    public int getType()

  Returns user's type.

### setType

    public void setType(int type)

  Sets user's type.

  Parameters:
    `type` -
  Since:
    2.6

### getIP

    public java.lang.String getIP()

  Returns user's IP.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD